finfo_close
finfo_open
Fileinfo Functions
PHP Manual

# finfo_file

# finfo::file

(PHP >= 5.3.0, PECL fileinfo >= 0.1.0)

finfo_file -- finfo::file — Return information about a file

### Description

Procedural style

string finfo_file ( resource `$finfo` , string `$file_name` = `NULL` [, int `$options` = FILEINFO_NONE [, resource `$context` = `NULL` ]] )

Object oriented style

public string finfo::file ( string `$file_name` = `NULL` [, int `$options` = FILEINFO_NONE [, resource `$context` = `NULL` ]] )

This function is used to get information about a file.

### Parameters

`finfo`

  Fileinfo resource returned by finfo_open().

`file_name`

  Name of a file to be checked.

`options`

  One or disjunction of more Fileinfo constants.

`context`

  For a description of contexts, refer to Stream Functions.

### Return Values

Returns a textual description of the contents of the `file_name` argument, or `FALSE` if an error occurred.

### Examples

Example #1 A finfo_file() example

`<?php
$finfo = finfo_open(FILEINFO_MIME_TYPE); // return mime type ala mimetype extension
foreach (glob("*") as $filename) {
echo finfo_file($finfo, $filename) . "\n";
}
finfo_close($finfo);
?>`

The above example will output something similar to:

    text/html
    image/gif
    application/vnd.ms-excel

### See Also

- finfo_buffer() - Alias of finfo_buffer

finfo_close
finfo_open
Fileinfo Functions
PHP Manual